
[![platform](https://img.shields.io/badge/platform-linux--64-brightgreen)]()
[![python](https://img.shields.io/badge/python-%3E%3D3.5-brightgreen)]()
[![tensorflow](https://img.shields.io/badge/tensorflow-1.12.x%20--%201.15.0-brightgreen)]()


# Qoala Ai Library
This project contains the collection of deep learning model wrappers from Qoala.id data science team.

## News
| Horey                                                       |        Version     |   
| ----------------------------------------------------------- | ------------------ | 
| Deeplab Semantic segmentation was released (stable)         |      >=v0.1.18     |
| Object landmark(keypoints) was released (stable)            |      >=v0.1.18     |

## Todo
- [x] TF Lite for image classification
- [ ] TF lite for object detection (YOLO)
- [ ] TF lite for semantic segmentation
- [x] Apply object detector threshoding in ML-engine
- [ ] add SSD object detection
- [ ] add instance segmentation
- [ ] tensorRt
- [ ] Efficient Net

## Requirements
- tensorflow-gpu==1.13.1 or 1.14.0 (`pip3 install tensorflow-gpu`)
- comdutils (`pip3 install comdutils`)
- numpy
- opencv-python=3.4.2

## Package Installation
- `pip3 install -r requirements.txt`
- `pip3 install qoalai`

## Available Docker
- download the docker image
- `docker pull ...`






